Status: Closed

Priority: Low
Category: Symbology

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 12901
Description

Hello,

I'd like to have my pie charts surrounded by a line (e.g. black, 1 pixel wide).
(Especially if one the parts of the pie chart has the same color as the background map).

It's an interesting feature already seen in other GIS soft but I'd like to keep QGIS.

Thanks.

History

#1 - 2010-06-30 09:14 AM - Paolo Cavallini

More options for chart decorations would also be important.

#2 - 2011-03-26 08:14 AM - Borys Jurgiel

The outline is now present with the new diagrams.

#3 - 2011-12-16 01:56 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-15 10:12 AM - Giovanni Manghi
- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:34 AM - Pirmin Kalberer
- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2015-11-18 06:41 AM - Médéric RIBREUX
- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- % Done changed from 0 to 100

- Resolution set to fixed/implemented

Hello, bug triage...

in QGIS 2.13, you have an option to do this in the diagrams tab on the appearance tab. You can add a line (by setting a line width > 0.0) and even choose
the color of the line.
| am closing this feature request...
